Bug 459613 - anacron.init references /var/run/anacron.pid pidfile, but anacron doesn't generate it
anacron.init references /var/run/anacron.pid pidfile, but anacron doesn't gen...
Product: Fedora
Classification: Fedora
Component: anacron (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marcela Mašláňová
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-08-20 10:58 EDT by Nils Philippsen
Modified: 2008-08-26 03:08 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-08-25 11:17:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Nils Philippsen 2008-08-20 10:58:10 EDT
SSIA, the init script should only list a pid file if the daemon in fact creates one. System-config-services relies on the init script metadata to be accurate, otherwise it might not detect status changes properly.

There's an easy and hard way to do it:

Easy: remove the "# pidfile: ..." line from anacron.init

Hard: make anacron write said pidfile

I prefer the last one because it lets system-config-services detect if the service crashes and reflect that in the services list.
Comment 1 Marcela Mašláňová 2008-08-25 07:56:49 EDT
That's not appropriate fix. Anacron is really creating a pidfile, but it exists only as long as anacron has something to do. If I remove pidfile from init script then anacron daemon looks like stopped all the time.
Comment 2 Nils Philippsen 2008-08-25 11:17:23 EDT
I see... Perhaps we need a way to flag services as "one-off" instead of long-running so this can be distinguished in the GUI. Do you think we should discuss this here or on fedora-devel-list?
Comment 3 Marcela Mašláňová 2008-08-26 03:08:12 EDT
Maybe we should check for all "strange" services and mark them "one-off". The discussion on fedora-devel would be nice.

Note You need to log in before you can comment on or make changes to this bug.